.world {
   width: 100%;
   height: 100%;
   overflow-y: hidden;
   overflow-x: hidden;
}

body {
   overflow: hidden !important;
}

.gamechicken {
   display: none;
}

.mobileUserBlock {
   background-image: url('../../MobileUserDetected.png');
   background-position: center; /* Center the image */
   background-repeat: no-repeat; /* Do not repeat the image */
   width: 100%;
   height: 50%;
}

.gameTitle {
   margin-left: 10%;
   position: relative;
   display: grid;
   grid-template-columns: auto auto auto;
   padding: 10px;
}

.new-achievement-dialog {
   text-align: center;
   overflow-x: hidden !important;
   border-radius: 20px !important;
}

.leftAd {
   height: 100%;
   width: 120px;
   margin: 0px;
   position: absolute;
   left: 1%;
   top: 0%;
}

.rightAd {
   height: 100%;
   width: 120px;
   margin: 0px;
   position: absolute;
   left: 92%;
   top: 0%;
}

.body {
   font-family: source-code-pro, Menlo, Monaco, Consolas, 'Courier New', monospace !important;
   width: 100%;
   height: 2000px;
   overflow: hidden;
   text-align: center;
}

.button-shadow {
   box-shadow: 2px 3px 3px rgb(150, 150, 150);
}

.window-bg {
   overflow-y: hidden;
   overflow-x: hidden;
   margin-left: 10%;
   border: 1px solid black;
   background-color: rgb(118, 121, 56);
   box-shadow: 15px 10px 10px rgb(100, 100, 100);
   /* background-image: url('./Sprites/Backgrounds/floor_2.png'); */
   border-radius: 20px;
   position: absolute;
   width: 80%;
   height: 80%;
}

.player {
   position: absolute;
   height: 32px;
   scale: 1;
   top: 91%;
}

.game-status {
   position: absolute;
   height: 22px;
   width: 100px;
   top: 3%;
   left: 72%;
   background-color: green;
   box-shadow: 3px 3px rgb(146, 146, 146);
   color: white;
   text-align: center;
   padding-top: 5px;
   font-weight: bold;
}

@keyframes idle {
   to { background-position-x: -128px; }
}

@keyframes movement {
   to { background-position-x: -320px; }
}

.player-idleL {
   height: 64px;
   width: 64px;
   animation-name: idle;
   animation-duration: 2s;
   animation-timing-function: steps(2);
   animation-iteration-count: infinite;
   background: url('./Sprites/Player/Idle/Idle_L1.png');
}

.player-idleR {
   height: 64px;
   width: 64px;
   animation-name: idle;
   animation-duration: 2s;
   animation-timing-function: steps(2);
   animation-iteration-count: infinite;
   background: url('./Sprites/Player/Idle/Idle_R1.png');
}

.player-runningR {
   height: 64px;
   width: 64px;
   animation-name: movement;
   animation-duration: .5s;
   animation-timing-function: steps(5);
   animation-iteration-count: infinite;
   background: url('./Sprites/Player/Running/Movement_R1.png');
}

.new-highscore-dialog {
   text-align: center;
   overflow-x: hidden !important;
   border-radius: 20px !important;
}

.highScoreButton {
   margin-top: 20px;
   width: 100%;
   margin-bottom: 20px;
}